# Import and augment the SSD1306_I2C library
from ssd1306 import SSD1306_I2C

class SSD1306_PLUS(SSD1306_I2C):
    def draw_sprite(self,sprite,x,y,fill_character,clear_character):
        rows = sprite.split("\n")
        for i in range(len(rows)):
            if len(rows[i]) == 0:
                continue
            for j in range(len(rows[i])):
                if rows[i][j] == fill_character:
                    self.pixel(x+j,y+i,1)
                elif rows[i][j] == clear_character:
                    self.pixel(x+j,y+i,0)


alphabet = ['''
    #    
   # #   
  #   #  
 #     # 
 ####### 
 #     # 
 #     # 
''','''
 ######  
 #     # 
 #     # 
 ######  
 #     # 
 #     # 
 ######  
''','''
  #####  
 #     # 
 #       
 #       
 #       
 #     # 
  #####  
''','''
 ######  
 #     # 
 #     # 
 #     # 
 #     # 
 #     # 
 ######  
''','''
 ####### 
 #       
 #       
 #####   
 #       
 #       
 ####### 
''','''
 ####### 
 #       
 #       
 #####   
 #       
 #       
 #       
''','''
  #####  
 #     # 
 #       
 #  #### 
 #     # 
 #     # 
  #####  
''','''
 #     # 
 #     # 
 #     # 
 ####### 
 #     # 
 #     # 
 #     # 
''','''
 ###     
  #      
  #      
  #      
  #      
  #      
 ###     
''','''
       # 
       # 
       # 
       # 
 #     # 
 #     # 
  #####  
''','''
 #    #  
 #   #   
 #  #    
 ###     
 #  #    
 #   #   
 #    #  
''','''
 #       
 #       
 #       
 #       
 #       
 #       
 ####### 
''','''
 #     # 
 ##   ## 
 # # # # 
 #  #  # 
 #     # 
 #     # 
 #     # 
''','''
 #     # 
 ##    # 
 # #   # 
 #  #  # 
 #   # # 
 #    ## 
 #     # 
''','''
 ####### 
 #     # 
 #     # 
 #     # 
 #     # 
 #     # 
 ####### 
''','''
 ######  
 #     # 
 #     # 
 ######  
 #       
 #       
 #       
''','''
  #####  
 #     # 
 #     # 
 #     # 
 #   # # 
 #    #  
  #### # 
''','''
 ######  
 #     # 
 #     # 
 ######  
 #   #   
 #    #  
 #     # 
''','''
  #####  
 #     # 
 #       
  #####  
       # 
 #     # 
  #####  
''','''
 ####### 
    #    
    #    
    #    
    #    
    #    
    #    
''','''
 #     # 
 #     # 
 #     # 
 #     # 
 #     # 
 #     # 
  #####  
''','''
 #     # 
 #     # 
 #     # 
 #     # 
  #   #  
   # #   
    #    
''','''
 #     # 
 #  #  # 
 #  #  # 
 #  #  # 
 #  #  # 
 #  #  # 
  ## ##  
''','''
 #     # 
  #   #  
   # #   
    #    
   # #   
  #   #  
 #     # 
''','''
 #     # 
  #   #  
   # #   
    #    
    #    
    #    
    #    
''','''
 ####### 
      #  
     #   
    #    
   #     
  #      
 #######
''']

star = '''
        O
        O
       OOO
       OOO
      OOOOO
      OOOOO
OOOOOOOOOOOOOOOOO
 OOOOOOOOOOOOOOO
  OOOOOOOOOOOOO
   OOOOOOOOOOO
    OOOOOOOOO
    OOOOOOOOO
    OOOOOOOOO
   OOOOO OOOOO
   OOOO   OOOO
  OOO       OOO
  OO         OO

'''

ball = '''
                          ############                        
                    ######____________######                  
                ####________________________####              
              ##________________________________##            
            ##____________________________________##          
          ##________________________________________##        
        ##____________________________________________##      
      ##________________________________________________##    
      ##________________________________________________##    
    ##____________________________________________________##  
    ##____________________________________________________##  
    ##____________________________________________________##  
  ##________________________________________________________##
  ##________________________________________________________##
  ##________________________________________________________##
  ##________________________________________________________##
  ##________________________________________________________##
  ##________________________________________________________##
    ##____________________________________________________##  
    ##____________________________________________________##  
    ##____________________________________________________##  
      ##________________________________________________##    
      ##________________________________________________##    
        ##____________________________________________##      
          ##________________________________________##        
            ##____________________________________##          
              ##________________________________##            
                ####________________________####              
                    ######____________######                  
                          ############                        
'''


